imagetest.hh File Reference
`#include <mia/3d/image.hh>`
Include dependency graph for 3d/imagetest.hh:

Go to the source code of this file.

## Functions

void EXPORT_3D | test_image_equal (const C3DImage &A, const C3DImage &expect)
| test if two images are equal and report the results by using BOOST_TEST methods.

## Function Documentation

## test_image_equal()

void EXPORT_3D test_image_equal | ( | const C3DImage & | A,
|  | const C3DImage & | expect )

test if two images are equal and report the results by using BOOST_TEST methods.

Test if two images are ove equal size, equal pixel type and if their pixel values are equal if the pixel type is integral, or close if the pixel type is floating point. The backend uses the BOOST unit test library to report sucess or failture.

Parameters

  A | test image
  expect | the expected image

References EXPORT_3D, and NS_MIA_END.